Skip to main content

User Management API

With the User Management API you can perform registration operations such as signing up, logging in, and other profile configurations.

This page will go over the common endpoints associated with user management.

Learn more about user profiles with our Help Center articles.

Authentication​

Use the following header parameters for all requests:

Headers
Authentication
string required
Authentication bearer token or client ID and secret.
See Sign up and authenticate.
X-IAA-OW-ID
integer required
Organization Workspace ID header.

Authentication​

OAuth token​

POST

This endpoint functions as the main authenticator for external connections.

This endpoint accepts a URL encoded form with different grant types. This endpoint can be used to log in via user password, authorization code or client credentials, or it can be used to refresh an access token.

The endpoint will return an OAuth compliant response, as seen in the example Response 200 on the right side column. See The Authorization Response documentation for more details.

Authentication
Authentication
string required
Client ID and client secret.
Content-Type
string required
application/x-www-form-urlencoded.
Request parameters
grantType
string
OAuth Grant Types:.
authorization_code: log in with redirect URL and client ID and secret.
password: log in with username and password.
refresh_token: obtain a new access token.
refresh_token
string
Refresh token to obtain new access token.
email
string
User's email.
password
string
User's password.
client_id
string
Client ID.
client_secret
string
Client secret.
Request sample (refresh token)
curl -i --location 'https://api.iqm.com/api/v3/ua/oauth/token' \
--header 'accept: application/json, text/plain, */*' \
--header 'Authorization: Basic <Client ID/Client Secret>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'grant_type=refresh_token' \
--data-urlencode 'refresh_token=eac4c1f6-781e-4b04-baff-9c2e415d1f64'
Request sample (password)
curl -i --location 'https://api.iqm.com/api/v3/ua/oauth/token' \
--header 'accept: application/json, text/plain, */*' \
--header 'Authorization: Basic <Client ID/Client Secret>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'grant_type=password' \
--data-urlencode 'username=user@iqm.com' \
--data-urlencode 'password=<your password>'
Request sample (auth code)
curl -i --location 'https://api.iqm.com/api/v3/ua/oauth/token' \
--header 'accept: application/json, text/plain, */*' \
--header 'Authorization: Basic <Client ID/Client Secret>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'grant_type=authorization_code' \
--data-urlencode 'client_id=<client_id>' \
--data-urlencode 'client_secret=<client_secret>' \
--data-urlencode 'redirect_uri=http://iqm-authenticator.stage.iqm/showAuthCode'
Response 200
{
"access_token": "106adb25-37b0-4cab-8381-d682fe7cc3c8",
"refresh_token": "eac4c1f6-781e-4b04-baff-9c2e415d1f64",
"scope": "read write",
"token_type": "bearer",
"expires_in": 35999
}

User logout​

POST

Log a user out from the API.

Response properties
success
boolean
Indicates user successfully logged out: true.
data
string
Success message.
Response 200
{
"success": true,
"data": "User logged out successfully."
}

Change password​

POST

Update a user's password.

Request schema
email
string
User's email.
password
string
User's password.
Response properties
success
boolean
Indicates user's password was successfully updated: true.
data
string
Success message.
Request sample
{
"email": "kartik.g@iqm.com",
"password": "123456"
}
Response 200
{
"success": true,
"data": "Password changed successfully."
}
More responses
Response 403
{
"success": true,
"data": {
"invalidReason": "Reset password link either not valid or it is already processed.",
"isValid": false
}
}

Reset user password​

POST

Reset your password directly with this endpoint.

Request schema
oldPassword
string
User's old password.
newPassword
string
User's new password.
Response properties
success
boolean
Indicates reset link was successfully sent: true.
data
string
Success message.
Request sample
{
"oldPassword": "123456",
"newPassword": "123456789"
}
Response 200
{
"success": true,
"data": "Password reset successfully."
}

Reset password email​

POST

Send a link to reset a user's password to a specified email.

Request schema
email
string
User's email.
Response properties
success
boolean
Indicates reset link was successfully sent: true.
data
string
Success message.
Request sample
{
"email": "kartik@iqm.com"
}

Response 200

{
"success": true,
"data": "Email with reset password link sent successfully."
}
More responses
Response 404
{
"success": false,
"errorObjects": [
{
"error": "The email is not available in the system."
}
]
}

Send MFA code​

POST

Generate and send an Multi-Factor Authentication (MFA) code to the user associated with the provided Organization Workspace ID. The code is sent via email or SMS based on user preferences.

A user's MFA setttings can be configured with the Enable MFA and Disable MFA endpoints.

Request schema
owId
integer
Organization Workspace ID.
Request sample
{
"owId": 12345
}
Response 200
{
"success": true,
"data": "MFA code sent successfully."
}
More responses
Response 400
{
"success": false,
"errorObjects": [
{
"error": "Invalid owId or user not found."
}
]
}
Response 422
{
"success": false,
"errorObjects": [
{
"error": "User MFA settings not configured."
}
]
}

Verify MFA code​

POST

Verify a Multi-Factor Authentication (MFA) code (OTP) for the user. Upon successful verification, returns user session details and Organization Workspace ID.

A user's MFA setttings can be configured with the Enable MFA and Disable MFA endpoints.

Request schema
otp
string
MFA one-time passcode.
Response properties
accessToken
string
JWT access token for authenticating API requests.
tokenType
string
Type of the token issued.
expiresIn
integer
Expiration time of the token in seconds.
owId
integer
Organizational Workspace ID associated with the user.
Request sample
{
"otp": "123456"
}
Response 200
{
"success": true,
"data": {
"accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"tokenType": "Bearer",
"expiresIn": 3600,
"owId": 12345
}
}
More responses
Response 401
{
"success": false,
"errorObjects": [
{
"error": "Invalid or expired MFA code."
}
]
}
Response 403
{
"success": false,
"errorObjects": [
{
"error": "MFA verification failed."
}
]
}

User details​

Get list of users​

GET

Get a list of users and details for a given Workspace ID.

Query parameters
status
string
Status of user.
searchField
string
Filter results by search field.
limit
integer
Number of entries returned per page, default: 10.
pageNo
integer
Page number of retrieved data, default: 1.
sortBy
string
Sorts by ascending (+) or descending (-), default: +displayName.

Resource properties
userId
integer
Unique user ID.
firstName
string
User's first name.
lastName
string
User's last name.
email
string
User's email.
displayName
string
User's display name.
status
string
User's status.
statusId
integer
Status ID.
userAvatar
string
Image file uploaded for profile.
createdAt
integer
Unix timestamp in milliseconds when account was created.
uowId
integer
User Organization Workspace ID.
customersCount
integer
Count of Customers assigned to user.
organizationName
string
Organization associated with user.
invitedOn
integer
Unix timestamp in milliseconds when user was invited to create account.
isOrganizationOwnerUser
boolean
User is owner of Organization (true) or not (false).
isModificationAllowed
boolean
User is allowed to modify (true) or not (false).
invitedByUserName
string
Name of user that invited user.
invitedByUserEmail
string
Email of user that invited user.
isAssignActionAllowed
boolean
User is allowed to assign (true) or not (false).
Response 200
{
"success": true,
"data": {
"data": [
{
"userId": 7130,
"firstName": "sample adv user -2",
"lastName": "2",
"email": "sample-user@iqm.com",
"displayName": "sample adv user - 2",
"status": "active",
"statusId": 1,
"userAvatar": "https://iqm-web-assets-c92d6b6cbde1-stage.s3.amazonaws.com/avatar/K2.png",
"createdAt": 1705452608000,
"uowId": 119592,
"customersCount": 0,
"organizationName": "Adv Acc 1",
"invitedOn": 1705452608000,
"isOrganizationOwnerUser": false,
"isModificationAllowed": true,
"invitedByUserName": "User 2",
"invitedByUserEmail": "user2@iqm.com",
"isAssignActionAllowed": true
},
{
"userId": 7131,
"firstName": "sample-adv-user-3",
"email": "sample-user1@iqm.com",
"displayName": "sample-adv-user-3",
"status": "invited",
"statusId": 3,
"userAvatar": "https://iqm-web-assets-c92d6b6cbde1-stage.s3.amazonaws.com/avatar/KH.png",
"createdAt": 1705466349000,
"uowId": 119595,
"customersCount": 0,
"organizationName": " Adv Acc",
"invitedOn": 1705466349000,
"isOrganizationOwnerUser": false,
"isModificationAllowed": true,
"invitedByUserName": "User 1",
"invitedByUserEmail": "user1@iqm.com",
"isAssignActionAllowed": true
},
],
"totalRecords": 6,
"filteredRecords": 2
}
}

Basic user list​

GET

Returns a paginated list of users with basic details. Supports filtering by search term, status, MFA settings, and sorting.

Query parameters
searchField
string
Search by user ID, first name, last name, display name, or email.
pageNo
integer
Page number (starts from 1).
noOfEntries
integer
Number of entries per page.
sortBy
string
Sort field: +displayName (asc) or -displayName (desc).
statusIds
array of integers
Filter by status IDs (e.g., 1 for active, 2 for invited).
mfaEnabled
boolean
Filter by MFA enabled status: true.
includeMfaMeta
boolean
Include MFA metadata in the response.
Response properties
totalRecords
integer
Total number of records.
filteredRecords
integer
Number of records matching the filter.
mfaEnabledCount
integer
Count of users with MFA enabled.
mfaDisabledCount
integer
Count of users with MFA disabled.
usersBasicList
array of objects
List of users.
usersBasicList object properties
userId
integer
User ID.
firstName
string
First name.
lastName
string
Last name.
email
string
Email address.
displayName
string
Display name.
statusId
integer
User status ID.
userProfileUrl
string
Profile picture URL.
createdAt
string
Timestamp when the user was created.
mfaEnabled
boolean
Indicates MFA is enabled for the user: true.
canToggleMfa
boolean
Indicates the user can toggle their MFA setting: true.
Response 200
{
"success": true,
"data": {
"totalRecords": 120,
"filteredRecords": 2,
"mfaEnabledCount": 10,
"mfaDisabledCount": 5,
"usersBasicList": [
{
"userId": 12345,
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"displayName": "John Doe",
"statusId": 1,
"userProfileUrl": "https://example.com/profile.jpg",
"createdAt": "2024-01-01T12:00:00Z",
"mfaEnabled": true,
"canToggleMfa": true
}
]
}
}

Users for Customer sharing​

GET

Retrieve a list of users who can share or have access to a specific Customer, for assignment or sharing purposes.

Query parameters
owId
integer
Customer Organization Workspace ID.
searchField
string
Search term to filter users.
pageNo
integer
Page number (default: 1).
limit
integer
Number of records per page (default: 100).
Response properties
totalRecords
integer
Total number of records.
filteredRecords
integer
Number of records matching the filter.
data
array of objects
List of users.
data object properties
userId
integer
User ID.
owId
integer
Organization Workspace ID.
uowId
integer
User Organization Workspace ID.
displayName
string
Display name.
email
string
Email address.
status
integer
User status.
customerAssigned
boolean
Indicates the user is already assigned to this Customer: true.
Response 200
{
"success": true,
"data": {
"totalRecords": 50,
"filteredRecords": 2,
"data": [
{
"userId": 12345,
"owId": 67890,
"uowId": 112233,
"displayName": "John Doe",
"email": "john.doe@example.com",
"status": 1,
"customerAssigned": false
}
]
}
}

Get user profile details​

GET

Get user profile details and parent Organization hierarchy.

Resource properties
uowId
integer
User Organization Workspace ID.
status
string
User's status.
invoiceId
integer
User's invoice ID.
firstName
string
User's first name.
lastName
string
User's last name.
displayName
string
User's display name.
userAvatar
string
Image file uploaded for profile.
email
string
User's email.
organizationName
string
Organization associated with user.
organizationLogo
string
Organization's logo image URL.
isOwnerUser
boolean
Indicates user is owner: true.
isPlatformOwnerOrg
boolean
Indicates user is platform owner (super user): true.
isWorkspaceOwnerOrg
boolean
Indicates user is owner (Workspace user): true.
isCampaignAppOwner
boolean
Indicates user is owner of campaign App (super user): true.
isBetaUser
boolean
Indicates user is beta user: true.
allowExtendedReportDuration
integer
parentOrganization
object
Parent Organization details.
parentOrganization object properties
owId
integer
Organization Workspace ID.
organizationName
string
Organization associated with user.
workspaceDomain
string
Workspace domain.
isAccess
boolean
Indicates logged-in user has Customer management access of given Customer Organization: true.
parentOrganization
object
Parent Organization details.
organizationTimezone
integer
Organization timezone.
Response 200
{
"success": true,
"data": {
"owId": 200002,
"status": 1,
"invoiceId": 283,
"firstName": "your first name",
"lastName": "1",
"displayName": "display Name",
"userAvatar": "https://iqm-web-assets-c92d6b6cbde1-stage.s3.amazonaws.com/user-profile/1/1651537740179.jpg",
"email": "yourEmail@yahoo.com",
"organizationName": "AdAgency 1",
"organizationLogo": "https://d3jme5si7t6llb.cloudfront.net/logo/iqm.png",
"isOwnerUser": false,
"isPlatformOwnerOrg": false,
"isWorkspaceOwnerOrg": true,
"isCampaignAppOwner": false,
"isBetaUser": true,
"allowExtendedReportDuration": 1,
"parentOrganization": {
"owId": 200001,
"organizationName": "AdAgency 2",
"workspaceDomain": "yourDomain.com",
"isAccess": true
},
"organizationTimezone": 29
}
}

User config details​

GET

Get user configuration details for the current user.

Resource properties
marginAccess
boolean
Indicates if the user has access to margin trading: true.
Response 200
{
"success": true,
"data": {
"marginAccess": true
}
}

User management​

Send user invitation​

POST

Any Customer or Organization can send invitations to one or more users by providing their names and emails.

Request schema
email
string
User's email.
name
string
User's name.
Response properties
success
boolean
Indicates invite was successfully sent: true.
data
string
Success message.
Request sample
{
"email": "shraddha.p@iqm.com",
"name": "Shradda Patel"
}
Response 200
{
"success": true,
"data": "1 invitations sent successfully."
}

Resend user invitation​

POST

Resend an invitation to a user within an Organization Workspace.

Request schema
userId
integer
User ID.
email
string
User's email address.
uowId
integer
User Organization Workspace ID.
Request sample
{
"userId": 1001,
"email": "john.doe@example.com",
"uowId": 2001
}
Response 200
{
"success": true,
"data": "Invitation resent successfully."
}

User sign-up​

POST

A user/Customer can sign up and create a password to access the API.

Request schema
email
string
User's email.
password
string
User's password.
Response properties
success
boolean
Indicates user was successfully signed up: true.
access_token
string
Access token.
refresh_token
string
Refresh token.
scope
string
User access rights.
token_type
string
Token type.
expires_in
integer
Time until token expires.
Request sample
{
"email": "kartik.g@iqm.com",
"password": "123456"
}
Response 200
{
"success": true,
"data": {
"access_token": "d90fa7de-534c-4652-ad8f-c4f6f70461ac",
"refresh_token": "2e379c6f-959d-498f-8319-ff13ebef6bfe",
"scope": "read write",
"token_type": "bearer",
"expires_in": 35999
}
}
More responses
Response 403
{
"success": false,
"errorObjects": [
{
"error": "User is not allowed to create a password.",
"reason": "User is not invited or invitation is processed or invitation is expired."
}
]
}

Update user profile​

PATCH

Update a user's profile display name and avatar.

Request schema
displayName
string
User name.
userAvatar
string
If removeUserProfile set to true, can remain null, otherwise: Image file uploaded for profile.
removeUserProfile
boolean
default: false.
To remove profile image true.
Response properties
success
boolean
Indicates user's profile was successfully updated: true.
userAvatar
string
User avatar.
message
string
Success message.
Response 200
{
"success": true,
"data": {
"userAvatar": "https://iqm-web-assets-c92d6b6cbde1-stage.s3.amazonaws.com/user-profile/444.jpg",
"message": "Profile updated successfully."
}
}
More responses
Response 422
{
"success": false,
"errorObjects": [
{
"error": "Profile image should not be more than 3 MB"
}
]
}

Update user status​

PUT

Update a user's status.

Request schema
uowId
integer
User's Organization Workspace ID.
status
integer
Updated status ID.
Supported values
1Active
2Pending
3Invited
4Suspended
5Deleted
statusReason
string
Reason for status change.
Response properties
success
boolean
Indicates if the status was updated successfully.
data
string
Success message.
Request sample
{
"uowId": 166,
"status": 4,
"statusReason": "Payment overdue for last 3 months"
}
Response 200
{
"success": true,
"data": "User status updated successfully."
}

Enable MFA​

POST

Enable Multi-Factor Authentication for one or more users by user ID.

Request schema
userIds
array of integers
User IDs to enable MFA for.
Response properties
mfaEnabledSuccessfully
array of integers
User IDs for which MFA was enabled successfully.
mfaEnablingFailed
array of integers
User IDs for which MFA enabling failed.
Request sample
{
"userIds": [123, 345]
}
Response 200
{
"success": true,
"data": {
"mfaEnabledSuccessfully": [123, 345],
"mfaEnablingFailed": []
}
}

Disable MFA​

POST

Disable Multi-Factor Authentication for one or more users by user ID.

Request schema
userIds
array of integers
User IDs to disable MFA for.
Response properties
mfaDisabledSuccessfully
array of integers
User IDs for which MFA was disabled successfully.
mfaDisablingFailed
array of integers
User IDs for which MFA disabling failed.
Request sample
{
"userIds": [123, 345]
}
Response 200
{
"success": true,
"data": {
"mfaDisabledSuccessfully": [123, 345],
"mfaDisablingFailed": []
}
}

User application access​

Allowed applications list​

GET

Get a list of all applications a user can be granted access to.

Response properties
appId
integer
Bundle ID for app request.
appName
string
App name.
appIcon
string
App icon URL.
appUrl
string
App URL.
Response 200
{
"success": true,
"data": [
{
"appId": 2,
"appName": "Dashboard",
"appIcon": "logo/dashboard.png",
"appUrl": "/dashboard"
},
{
"appId": 7,
"appName": "Campaigns",
"appIcon": "logo/campaigns.png",
"appUrl": "/campaigns"
},
{
"appId": 9,
"appName": "Creatives",
"appIcon": "logo/creatives.png",
"appUrl": "/creatives"
},
{
"appId": 8,
"appName": "Audiences",
"appIcon": "logo/audiences.png",
"appUrl": "/audiences"
},
{
"appId": 10,
"appName": "Inventory",
"appIcon": "logo/inventory.png",
"appUrl": "/inventory"
},
{
"appId": 4,
"appName": "Bid Model",
"appIcon": "logo/bid-model.png",
"appUrl": "/bidmodel"
},
{
"appId": 3,
"appName": "Reports",
"appIcon": "logo/reports.png",
"appUrl": "/reports"
},
{
"appId": 5,
"appName": "Organization",
"appIcon": "logo/organization.png",
"appUrl": "/organization"
},
{
"appId": 6,
"appName": "My Profile",
"appIcon": "logo/my-profile.png",
"appUrl": "/accounts"
},
{
"appId": 17,
"appName": "Insights",
"appIcon": "logo/insights.png",
"appUrl": "/insights"
},
{
"appId": 19,
"appName": "Planner",
"appIcon": "logo/planner.png",
"appUrl": "/planner"
}
]
}

User app access list​

GET

See what applications a user has access to. Use query parameters to filter results.

Query parameters
uowId
integer
User Organization Workspace ID.
searchField
string
Filter results by search field.
limit
integer required
Number of entries returned per page, default: 10.
pageNo
integer required
Page number of retrieved data, default: 1.
sortBy
string
Sorts by ascending (+) or descending (-), default: +appName.
Response properties
success
boolean
Indicates app access was successfully retrieved: true.
appId
integer
Bundle ID for app request.
appName
string
App name.
appOwner
string
App owner.
appType
string
App type.
Response 200
{
"success": true,
"data": {
"data": [
{
"appId": 7,
"appName": "Campaigns",
"appOwner": "IQM Corporation",
"appType": "Default App"
},
{
"appId": 11,
"appName": "Conversions",
"appOwner": "IQM Corporation",
"appType": "Default App"
}
],
"totalRecords": 2,
"filteredRecords": 2
}
}
More responses
Response 422
{
"success": false,
"errorObjects": [
{
"error": "Invalid sortBy value."
}
]
}

Add app access for user​

POST

Grant a user access to specified apps.

Request schema
userID
integer
User's ID.
appIds
string
Application ID.
accessLevel
string
Level of access granted to user.
Response properties
success
boolean
Indicates access was successfully granted: true.
data
string
Success message.
Request sample
{
"userId": 431,
"appIds": "1",
"accessLevel": "Full"
}
Response 200
{
"success": true,
"data": "Application access added successfully."
}
More responses
Response 403
{
"success": false,
"errorObjects": [
{
"error": "User doesn't exist or user is not part of the Organization."
}
]
}

Revoke app access for user​

POST

Revoke a user's access to specified apps.

Request schema
owId
integer
User's Organization Workspace ID.
appIds
string
Application ID.
Request sample
{
"owId": 431,
"appIds": "1"
}
Response 200
{
"success": true,
"data": "Application access revoked successfully."
}

Remaining applications​

GET

Retrieve the list of applications that can still be assigned to a user.

Query parameters
uowId
integer
User Organization Workspace ID.
Response properties
applicationId
integer
Application ID.
applicationName
string
Application name.
applicationCode
string
Application code.
Response 200
{
"success": true,
"data": [
{
"applicationId": 1,
"applicationName": "Google Ads",
"applicationCode": "GA"
},
{
"applicationId": 2,
"applicationName": "Facebook Ads",
"applicationCode": "FB"
}
]
}

Validations​

Validate user invite​

POST

The invited user will receive an email with a link and a hash which can be validated.

info

This endpoint is rate limited to 50 requests per minute, per IP. Exceeding it returns a 429 (Too Many Requests) error. See Rate limits.

Request schema
inviteHash
string
Unique invite hash sent to invited user.
Response properties
isExpired
boolean
Indicates invite hash is expired: true.
Request sample
{
"inviteHash": "8HQfsQcychjhvCmuuiFvVCIgqq9cJG/gh6HgmPZXxGE4od7a7tsMmh/O9+ia2Lw0FOelX3h8jTKJXR+0hUAkGXYA0cIITS13BxyrWoeBmRTnWTKxHtS+Ff41POwt/yDMY2iHXUsG86ehmWeeIi3HNMikhH5yY6BvNFnEfxq3zIdiouD3Fp/loPO9qazxU1qxZvNOOv8FZEZTzORVnJ8+ADjyZ/Zjs1dNhSFE"
}
Response 200
{
"success": true,
"data": {
"isExpired": true
}
}
More responses
Response 422
{
"success": false,
"errorObjects": [
{
"error": "Provided invitation has is incorrect.",
"field": "inviteHash"
}
]
}

Validate password reset hash​

POST

Validate the password reset hash sent to a user's email.

Request schema
resetHash
string
Unique reset hash sent to user.
Response properties
resetEmail
string
User's email.
isValid
boolean
Indicates reset hash is valid: true.
invalidReason
string
Reason why reset hash is invalid.
Request sample
{
"resetHash": "8HQfsQcychjhvCmuuiFvVCIgqq9cJG/gh6HgmPZXxGE4od7a7tsMmh/O9+ia2Lw0FOelX3h8jTKJXR+0hUAkGXYA0cIITS13BxyrWoeBmRTnWTKxHtS+Ff41POwt/yDMY2iHXUsG86ehmWeeIi3HNMikhH5yY6BvNFnEfxq3zIdiouD3Fp/loPO9qazxU1qxZvNOOv8FZEZTzORVnJ8+ADjyZ/Zjs1dNhSFE"
}
Response 200
{
"success": true,
"data": {
"resetEmail": "<user@example.com>",
"isValid": true
}
}

Validate user email​

POST

Check if a user's email is already registered.

info

This endpoint is rate limited to 500 requests per minute, per IP. Exceeding it returns a 429 (Too Many Requests) error. See Rate limits.

Request schema
email
string
User's email.
workspaceDomain
string
Workspace domain associated with user.
Response properties
isValid
boolean
Indicates email is already registered: true.
owId
integer
Organization Workspace ID associated with user.
isWorkspaceAllowed
boolean
Indicates if user is allowed in the Organization Workspace: true.
Request sample
{
"email": "<user@example.com>",
"workspaceDomain": "<workspace.example.com>"
}
Response 200
{
"success": true,
"data": {
"isValid": true,
"owId": 123,
"isWorkspaceAllowed": true
}
}

Validate Workspace domain​

POST

Validate the Workspace domain associated with a user.

Request schema
email
string
User's email.
workspaceDomain
string
Workspace domain to validate.
Response properties
success
boolean
Indicates Workspace domain is valid: true.
Request sample
{
"email": "user@ihp.com",
"workspaceDomain": "app.stage.inhousebuying.com"
}
Response 200
{
"success": true
}

Validate user email for signup​

POST

Check if a user's email is already registered for signup.

Request schema
email
string
User's email.
Response properties
userName
string
User name.
isNewUser
boolean
Indicates user is new to platform: true.
isOrganizationOwnerUser
boolean
Indicates user is Organization owner: true.
Request sample
{
"email": "<user@example.com>"
}
Response 200
{
"success": true,
"data": {
"userName": "userName",
"isNewUser": false,
"isOrganizationOwnerUser": false
}
}

Validate user password​

POST

Validate the user's password.

Request schema
password
string
User's password.
Response properties
isValid
boolean
Indicates password is valid: true.
Request sample
{
"password": "userPassword"
}
Response 200
{
"success": true,
"data": {
"isValid": false
}
}

Have a question?
Was this page helpful?